# Role: chrony_exporter

## Description

Installs and configures chrony exporter for NTP monitoring.

https://github.com/SuperQ/chrony_exporter

https://chrony-project.org/

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.chrony_exporter
  vars:
    ...
```

### Vars

`chrony_exporter_web_config`:

WebConfig for chrony exporter. Used for TLS config.

`chrony_exporter_service_name`:

Service name.

`chrony_exporter_config_template`:

Path to the config template.
